Error

'AD_inj'

Details

    Traceback (most recent call last):
  File "/opt/acc-bpt/release_2022_15/venv/lib/python3.9/site-packages/pandas/core/indexes/base.py", line 3803, in get_loc
    return self._engine.get_loc(casted_key)
  File "pandas/_libs/index.pyx", line 138, in pandas._libs.index.IndexEngine.get_loc
  File "pandas/_libs/index.pyx", line 165, in pandas._libs.index.IndexEngine.get_loc
  File "pandas/_libs/hashtable_class_helper.pxi", line 5745, in pandas._libs.hashtable.PyObjectHashTable.get_item
  File "pandas/_libs/hashtable_class_helper.pxi", line 5753, in pandas._libs.hashtable.PyObjectHashTable.get_item
KeyError: 'AD_inj'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/acc-bpt/release_2022_15/jinja/create_index.py", line 357, in _create_static_content
    mod.run(static_config)
  File "/opt/acc-bpt/acc-bpt-dev/acc_bpt/ad_elena/HMINUS/month/script_pbar_intensity.py", line 24, in run
    driver.build()
  File "/opt/acc-bpt/acc-bpt-dev/acc_bpt/shared/BptV2.py", line 252, in build
    raise ex
  File "/opt/acc-bpt/acc-bpt-dev/acc_bpt/shared/BptV2.py", line 231, in build
    name, content = self.bptStatic.create_bokeh_model(data)
  File "/opt/acc-bpt/acc-bpt-dev/acc_bpt/ad_elena/shared/ad_elena_intensity.py", line 579, in create_bokeh_model
    data = self.analyse_data(data)
  File "/opt/acc-bpt/acc-bpt-dev/acc_bpt/ad_elena/shared/ad_elena_intensity.py", line 375, in analyse_data
    data.loc[data['AD_inj'].isnull(), 'AD_inj'] = 1.10*data.loc[data['AD_inj'].isnull(), 'AD_RF_inj']/1e6
  File "/opt/acc-bpt/release_2022_15/venv/lib/python3.9/site-packages/pandas/core/frame.py", line 3804, in __getitem__
    indexer = self.columns.get_loc(key)
  File "/opt/acc-bpt/release_2022_15/venv/lib/python3.9/site-packages/pandas/core/indexes/base.py", line 3805, in get_loc
    raise KeyError(key) from err
KeyError: 'AD_inj'

    

Generated 2022-11-29 21:25:56.287642+01:00